'************************************************************************
' Star Wars Galaxies Server checking script v1.1 by lizardman
' based on the Samurize Script Template by NeM
'************************************************************************


'------------------------------------------------------------------------
' Enter the SWG Server Names here which should be checked
' (as many as you want):
'------------------------------------------------------------------------
SERVER_NAMES = Array("Chilastra", "Gorath", "Europe-Farstar", "MiniCluster1")


'=========================================================================
' The following stuff don't needs to be changed as long as the
' network-status site isn't being changed by SOE
'=========================================================================
TMP_FILE = "swgservers.tmp"
SITE_URL = "http://starwarsgalaxies.station.sony.com/status/network_status.jsp"
PAGE_CHECK = "<title>Star Wars Galaxies"
FIRST_CHECK = "All U.S. servers are up except:"
FIRST_CHECK2 = "<span class='serverdown'>"
END_CHECK = "<img src=""../images/blue/scheduled_downtime.jpg"">"
'=========================================================================
Function GetInfo()
	Dim htmlResult, output, newsItem, mainFeature
	htmlResult = ReturnHTML(SITE_URL)
	output = NULL
	startPos = InStr(htmlResult, PAGE_CHECK)
	If (startPos > 0) Then
		Do While InStr(startPos, htmlResult, FIRST_CHECK) > 0
			posOne = instr(startPos, htmlResult, FIRST_CHECK)
			posOne = instr(posOne, htmlResult, FIRST_CHECK2) + Len(FIRST_CHECK2)	
			posTwo = instr(posOne, htmlResult, END_CHECK)
			if (posOne > 0 AND posTwo > posOne) Then
				newsItem = right(mid(htmlResult, posOne, posTwo-posOne), posTwo-posOne)
				newsItem = trim(replace(newsitem, vbcrlf, ""))
			End If
			startPos = posTwo
			output = output & newsItem
			If (instr(startPos, htmlResult, FIRST_CHECK) > 0) Then
				output = output & (Chr(13) & Chr(10))
			End If
		Loop
	Else
		output = ""
	End If

	If (output <> "") Then
		GetInfo = GetServerList(output)
	Else
		GetInfo = "Error - Could not obtain data."
	End If
End Function

Private Function ReturnHTML(sURL)
	Dim objXMLHTTP
	Set objXMLHTTP = CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", sURL, False
	objXMLHTTP.Send
	returnHTML = objXMLHTTP.responsetext
	Set objXMLHTTP = Nothing
End Function

Private Function GetServerList(str)
	For i = 0 To UBound(SERVER_NAMES)
		tmpPos = InStr(1, str, SERVER_NAMES(i))
		If (tmpPos > 0) Then
			SERVER_NAMES(i) = SERVER_NAMES(i) + " - OFFLINE" + Chr(13)
		Else
			SERVER_NAMES(i) = SERVER_NAMES(i) + " - ONLINE" + Chr(13)
		End If
		GetServerList = GetServerList + SERVER_NAMES(i)
	Next
End Function
